Package com.ngrok.definitions

# Class EventSourceList

java.lang.Object
com.ngrok.definitions.EventSourceList

public class EventSourceList extends Object
A class encapsulating the `EventSourceList` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventSourceList(List<EventSource> sources, URI uri)`
  Creates a new instance of `EventSourceList`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `List<EventSource>`
  `getSources()`
  The list of all Event Sources for an Event Subscription
  `URI`
  `getUri()`
  URI of the next page, or null if there is no next page.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventSourceList

    public EventSourceList(List<EventSource> sources, URI uri)
    Creates a new instance of `EventSourceList`.
    Parameters:
      `sources` - The list of all Event Sources for an Event Subscription
      `uri` - URI of the next page, or null if there is no next page.

- ## Method Details

  - ### getSources

    public List<EventSource> getSources()
    The list of all Event Sources for an Event Subscription
    Returns:
      the value of the property as a `List` of `EventSource`

  - ### getUri

    public URI getUri()
    URI of the next page, or null if there is no next page.
    Returns:
      the value of the property as a `URI`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`